Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class Expression

    java.lang.Object
      org.hibernate.criterion.Restrictions
          org.hibernate.criterion.Expression

    public final class Expression

extends Restrictions

This class is semi-deprecated. Use `Restrictions`.

Author:
  Gavin King
See Also:
  `Restrictions`

Method Summary
`static Criterion` | `sql(String sql)` Apply a constraint expressed in SQL.
`static Criterion` | `sql(String sql, Object[] values, Type[] types)` Apply a constraint expressed in SQL, with the given JDBC parameters.
`static Criterion` | `sql(String sql, Object value, Type type)` Apply a constraint expressed in SQL, with the given JDBC parameter.

Methods inherited from class org.hibernate.criterion.Restrictions
`allEq, and, between, conjunction, disjunction, eq, eqProperty, ge, geProperty, gt, gtProperty, idEq, ilike, ilike, in, in, isEmpty, isNotEmpty, isNotNull, isNull, le, leProperty, like, like, lt, ltProperty, naturalId, ne, neProperty, not, or, sizeEq, sizeGe, sizeGt, sizeLe, sizeLt, sizeNe, sqlRestriction, sqlRestriction, sqlRestriction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### sql

    public static Criterion sql(String sql,
                                Object[] values,
                                Type[] types)

  Apply a constraint expressed in SQL, with the given JDBC parameters. Any occurrences of `{alias}` will be replaced by the table alias.

  Parameters:
    `sql` -
    `values` -
    `types` -
  Returns:
    Criterion

### sql

    public static Criterion sql(String sql,
                                Object value,
                                Type type)

  Apply a constraint expressed in SQL, with the given JDBC parameter. Any occurrences of `{alias}` will be replaced by the table alias.

  Parameters:
    `sql` -
    `value` -
    `type` -
  Returns:
    Criterion

### sql

    public static Criterion sql(String sql)

  Apply a constraint expressed in SQL. Any occurrences of `{alias}` will be replaced by the table alias.

  Parameters:
    `sql` -
  Returns:
    Criterion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD